I tried to download the game on my Xperia Arc S but it says your device is incompatible. The description says i need Android 2.3.3 and i have 4.0.4.